Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tahrir-api
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This package depends on automagic byte compilation
# https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_2
%global _python_bytecompile_extra 1

%global modname tahrir_api

Name:             python-module-tahrir-api
Version:          0.8.1
Release:          alt1_9
Summary:          An API for interacting with the Tahrir database

License:          GPLv3+
URL:              https://pypi.python.org/pypi/tahrir-api
Source0:          https://pypi.python.org/packages/source/t/tahrir-api/tahrir-api-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python-devel
BuildRequires:    python-module-pkg_resources python-module-setuptools
BuildRequires:    python-module-Pygments
BuildRequires:    python-module-zope.sqlalchemy
BuildRequires:    python-module-simplejson
BuildRequires:    python-module-httplib2
BuildRequires:    python-module-webob
BuildRequires:    python-module-nose
BuildRequires:    python-module-alembic
BuildRequires:    python-module-arrow

# This is just a dep of python-arrow that are missing from
# python-arrow-0.4.2-1.  They can be removed in the future.
BuildRequires:    python-module-chai


%if 0%{?fedora}
BuildRequires:  python-module-mako >= 0.3.6
BuildRequires:  python-module-PasteDeploy
BuildRequires:  python-module-SQLAlchemy >= 0.7
BuildRequires:  python-module-zope.interface
%else
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-mako0.4 >= 0.3.6
BuildRequires:  python-paste-deploy1.5
BuildRequires:  python-sqlalchemy0.7
BuildRequires:  python-zope-interface4
BuildRequires:  python-ordereddict
%else
BuildRequires:  python-module-mako
BuildRequires:  python-module-PasteDeploy
BuildRequires:  python-module-SQLAlchemy
BuildRequires:  python-module-zope.interface
%endif
%endif

%global _description\
API for interacting with the Tahrir database Based on the `Tahrir\
<https://github.com/fedora-infra/tahrir>`_ database model.\
\
There are two classes that can be used in this module. The first is\
TahrirDatabase class located in tahrir_api.dbapi and the second is the database\
model located in tahrir_api.model. The TahrirDatabase class is a high level way\
to interact with the database. The model is used for a slightly more low level\
way of interacting with the database. It allows for custom interactions with\
the database without having to use the TahrirDatabase class.
Source44: import.info

%description 

%_description
%prep
%setup -q -n tahrir-api-%{version}

# Remove upstream egg-info so that it gets rebuilt.
rm -rf *.egg-info
sed -i -e "s|__requires__ = 'SQLAlchemy>=0.7.0'|__requires__ = ['WebOb>=1.2', 'SQLAlchemy>=0.7.0', 'PasteDeploy>=1.5.0', 'zope.interface>=3.8.0', 'Mako>=0.3.6']; import pkg_resources|" setup.py
head setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
awk 'NR==3{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.2\", \"SQLAlchemy>=0.7.0\", \"PasteDeploy>=1.5.0\", \"zope.interface>=3.8.0\", \"Mako>=0.3.6\"]; import pkg_resources"}3' %{buildroot}/%{_bindir}/initialize_tahrir_db > tempfile
install -p -m755 tempfile %{buildroot}/%{_bindir}/initialize_tahrir_db

# DB upgrade/downgrade scripts
mkdir -p %{buildroot}%{_datadir}/%{modname}/
cp alembic.ini %{buildroot}%{_datadir}/%{modname}/alembic.ini
cp -r alembic/ %{buildroot}%{_datadir}/%{modname}/alembic/

%check
head setup.py

%if 0%{?rhel} && 0%{?rhel} <= 6
# pass.  the tests suddenly stopped working on rhel6.  :(
%else
%{__python} setup.py test
%endif

%files -n python-module-tahrir-api
%doc README.rst LICENSE

%{python_sitelibdir_noarch}/%{modname}
%{python_sitelibdir_noarch}/%{modname}-%{version}*
%{_datadir}/%{modname}/
%{_bindir}/initialize_tahrir_db
%{_bindir}/populate_series_in_tahrir_db

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_9
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_8
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_6
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_4
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_2
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_1
- update to new release by fcimport

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.7-alt1_3
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.7-alt1_2
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1.7-alt1_1
- initial fc import

